Movable Type licensing: what about old versions?

As I understand it, users of Movable Type’s 2.661 version will not be affected by the new pricing.
But: the 2.661 installer is no longer available on their web site. If I were to start blogging now, would I still be allowed to use an old copy of the installer?